Subject: Re: [PATCH 1/2] for-each-repo: interpolate repo path arguments

From: Taylor Blau <[email-masked]>
Date: Sat, 5 Nov 2022 20:30:13 -0400

On Sat, Nov 05, 2022 at 11:45:31AM -0700, Ronan Pigott wrote:
> This is a quality of life change for git-maintenance, so repos can be
> recorded with the tilde syntax. The register subcommand will not record
> repos in this format by default.
>
> Signed-off-by: Ronan Pigott <[email-masked]>
> ---
>  builtin/for-each-repo.c | 5 ++++-
>  1 file changed, 4 insertions(+), 1 deletion(-)

Seems reasonable. So the 'register' subcommand will never write a record
that isn't an absolute path, but a user may manually munge the
maintenance configuration and we want to err on the side of flexibility.

OK, sounds good. Missing test, though?

Thanks,
Taylor